# Generate a shipment label for this online transaction's parcel

This endpoint returns a PDF containing the label for the
transaction's parcel. Both sender and recipient details
have to be submitted before making a call to this endpoint.

Endpoint: POST /api/v1/transactions/{transaction_id}/generate_shipment_label
Version: 0.1.0
Security: OAuth2, APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Query parameters:

  - `carrier` (string, required)

## Response 200 fields (application/json):

  - `label` (string, required)

## Response 400 fields (application/json):

  - `code` (string, required)
    Example: "negative_price"

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the code field should be used to determine
the type of error that occurred, as the text in the error
field may change unexpectedly.
    Example: "`price` cannot be negative"

## Response 403 fields (application/json):

  - `code` (string, required)
    Example: "negative_price"

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the code field should be used to determine
the type of error that occurred, as the text in the error
field may change unexpectedly.
    Example: "`price` cannot be negative"


## Response 404 fields
